<script type="text/x-red" data-help-name="modbus-editor">    
    <p>Modbus TCP/Serial node triggered by input node to read/write.</p>
    
     <dl class="message-properties">
        <dt>Server
            <span class="property-type">modbus</span>
        </dt>
        <dd>
            Choose or edit the Modbus TCP/serial server configuration to specify the server to connect to.
        </dd>        
    </dl>
    <dl class="message-properties">
        <dt>Unit-Id
            <span class="property-type">integer</span>
        </dt>
        <dd>
            <li>tcp:   0..255</li>
            <li>serial:0..247</li>
        </dd>        
    </dl>
    <dl class="message-properties">
        <dt>Function Code
            <span class="property-type">integer</span>
        </dt>
        <dd>
            <li>FC 1: Read Coil Status</li>
            <li>FC 2: Read Input Status</li>
            <li>FC 3: Read Holding Registers</li>
            <li>FC 4: Read Input Registers</li>
            <li>FC 5: Force Single Coil</li>
            <li>FC 6: Preset Single Register</li>
            <li>FC 15: Force Multiple Coils</li>
            <li>FC 16: Preset Multiple Registers</li>
            <p>
                Choose a function code (FC)1, 2, 3, 4, 5, 6, 15 ,16 from the dropdown menu,
                
                <p>For FC 5, <strong>msg.payload</strong> must be a value of 1 or 0 or true or false.</p>
                <p>For FC 6, <strong>msg.payload</strong> must be a single value between 0~65535.</p>
                <p>For FC 15, <strong>msg.payload</strong> must be an array[] of comma separated values true or false each.</p>        
                <p>For FC 16, <strong>msg.payload</strong> must be an array[] of comma separated values between 0~65535 each.</p>
            </p>
        </dd>        
    </dl>     
    <dl class="message-properties">
        <dt>Address
            <span class="property-type">integer</span>
        </dt>
        <dd>
            start address (0:65535) to read/write.
        </dd>        
    </dl>
    <dl class="message-properties">
        <dt>Quantity
            <span class="property-type">integer</span>
        </dt>
        <dd>
            the count of items start from <strongAddress</strong> to be read/write
        </dd>        
    </dl>
    
</script>